<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <link href="/assets/css/required-mark.css" rel="stylesheet">
</head>

<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Request Policy</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Request Policy</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Request Policy Section ======= -->

    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 th:if="${offer} != null" style="display: flex; justify-content: center">Fill out the form below in
                    order to request an insurance policy</h5>
                <h5 th:if="${offer} == null" style="display: flex; justify-content: center">Policy request is available
                    only after offer simulation is completed</h5>
                <br/>
            </div>

            <!--            Simulation Offer Section-->
            <div class="row col-lg-12" data-aos="fade-up">
                <div class="col-lg-12">
                    <div th:if="${offer} == null" class="php-email-form">
                        <h5 style="color: #721c24">You must first go to the offer calculation page before you can
                            proceed with requesting an insurance policy.</h5>
                        <h5 style="color: #721c24">Click on SIMULATE OFFER above or<a th:href="@{/offer}"> click here to
                            go to the offer page</a></h5>
                    </div>
                </div>
                <div class="col-lg-5">
                    <div th:unless="${offer} == null">
                        <form th:object="${offer}" class="php-email-form">
                            <!--                        <div class="form-row justify-content-center">-->
                            <div class="form-group">
                                <label for="cubic-capacity"><b>Cubic capacity: </b></label>
                                <span th:text="*{cubicCapacity}"
                                      id="cubic-capacity"></span>
                            </div>
                            <div class="form-group">
                                <label for="first-registration-date"><b>First registration date: </b></label>
                                <span th:text="*{firstRegistrationDate}" id="first-registration-date"></span>
                            </div>
                            <div class="form-group">
                                <label for="driver-age"><b>Driver age: </b></label>
                                <span th:text="*{driverAge}" id="driver-age"></span>
                            </div>
                            <div class="form-group">
                                <label><b>Accidents in the previous year: </b></label>
                                <span th:if="*{prevYearAccidents}==true" th:text="yes"></span>
                                <span th:if="*{prevYearAccidents}==false" th:text="no"></span>
                            </div>
                            <div class="form-group">
                                <label for="make"><b>Car Make: </b></label>
                                <span th:text="*{model.make.name}" id="make">
                                </span>
                            </div>
                            <div class="form-group">
                                <label for="model"><b>Car Model: </b></label>
                                <span th:text="*{model.model}" id="model">
                                </span>
                            </div>

                            <div class="form-group">
                                <label for="premium"><b>Total premium: </b></label>
                                <span th:text="*{premium}" id="premium"></span>
                                <span> BGN</span>
                            </div>
                        </form>
                    </div>
                </div>

                <p>
                    <i th:if="${error != null}" th:text="${error}" class="error"
                       style="color:red; font-size:x-large"/>
                </p>

                <!--                Create Policy Section-->
                <div class="col-lg-7 col-md-7">
                    <form th:if="${offer} != null" action="#" th:action="@{/policy}"
                          th:object="${createPolicyRequestDTO}" method="post"
                          enctype="multipart/form-data"
                          role="form"
                          class="php-email-form">
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label th:errors="*{startDate}" style="color: red; font-weight: bold"></label>
                                <label for="start-date"><b>Start date</b></label>
                                <label th:if="${invalidStartDate != null}" th:text="${invalidStartDate}"
                                       style="color: red; font-weight: bold"></label>
                                <input th:field="*{startDate}" type="date" name="start-date" class="form-control"
                                       id="start-date"
                                       placeholder="Enter the start date of the policy in format YYYY-MM-DD"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label th:errors="*{firstName}" style="color: red; font-weight: bold"></label>
                                <label for="first-name"><b>Policy holder first name</b></label>
                                <input th:field="*{firstName}" type="text" name="first-name" class="form-control"
                                       id="first-name"
                                       placeholder="Enter the first name of the policy holder"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label th:errors="*{lastName}" style="color: red; font-weight: bold"></label>
                                <label for="last-name"><b>Policy holder last name</b></label>
                                <input th:field="*{lastName}" type="text" name="lastName" class="form-control"
                                       id="last-name"
                                       placeholder="Enter the last name of the policy holder"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label for="phone"><b>Phone</b></label>
                                <label th:errors="*{phone}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{phone}" type="text" class="form-control" name="phone" id="phone"
                                       placeholder="Enter the phone of the policy holder: +359xxxxxxx"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label th:errors="*{email}" style="color: red; font-weight: bold"></label>
                                <label for="email"><b>Email</b></label>
                                <input th:field="*{email}" type="email" class="form-control" name="email"
                                       id="email"
                                       placeholder="Enter the email of the policy holder"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label for="city-id"><b>Please select city</b></label>
                                <label th:errors="*{cityId}" style="color: red; font-weight: bold"></label>
                                <select th:field="*{cityId}" class="form-control" name="city-id" id="city-id" required>
                                    <option selected disabled value="0">City</option>
                                    <option th:each="city : ${cities}" th:value="${city.id}" th:text="${city.name}">
                                        Sofia
                                    </option>
                                </select>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label th:errors="*{postalAddress}" style="color: red; font-weight: bold"></label>
                                <label for="postal-address"><b>Enter postal address</b></label>
                                <input th:field="*{postalAddress}" type="text" class="form-control"
                                       name="postal-address" id="postal-address"
                                       placeholder="Please enter your postal address"
                                       required/>
                            </div>
                        </div>

                        <div class="form-row justify-content-center">
                            <div class="form-group col-md-10 req-asterisk">
                                <label for="vehicle-registration-image"><b>Enter vehicle Registration Certificate
                                    Image</b></label>
                                <div class="custom-file mb-3">
                                    <input th:field="*{vehicleRegistrationImage}" type="file" class="custom-file-input"
                                           id="vehicle-registration-image" name="filename" required>
                                    <label class="custom-file-label" for="vehicle-registration-image">Choose
                                        file... [Max 20mb]</label>
                                </div>
                            </div>
                        </div>

                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message"></div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Request Policy</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        </div>
    </section>
    <!-- End Request Policy Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("policy-active")
    offer.classList.add("active")
</script>
</body>
</html>